jvx.geom

## Class PgFemHeight

- java.lang.Object
- - jv.object.PsObject
  - - jvx.geom.PgFem
    - - jvx.geom.PgFemHeight

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public class PgFemHeight
      extends PgFem

  Simple implementation of a PgFem function on a polyhedral surface.
  See Also:
    `PgFem`, Serialized Form
  Author:
    Konrad Polthier
  Version:
    01.04.00, 2.00 revised (kp) Moved from package jv.geom to jvx.geom.
    00.00.98, 1.00 created (kp)

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgFemHeight(PdVector dir)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `eval(PgElementSet es, int elemInd, PdVector bary)`
    `void` | `init()` If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.

    - ### Methods inherited from class jvx.geom.PgFem

      `eval`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PgFemHeight

          public PgFemHeight(PdVector dir)

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PsObject`
      If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
      Overrides:
        `init` in class `PgFem`

    - #### eval

          public double eval(PgElementSet es,
                             int elemInd,
                             PdVector bary)

      Overrides:
        `eval` in class `PgFem`

"

The software JavaView? is copyright protected. All Rights Reserved.
"